get
https://authorization.bankingcircleconnect.com/api/v1/authorizations/authorize
The Authorization Service has a single endpoint that requires the use of a pre-registered certificate.
Obtain a JSON Web Token (JWT) for your API user
- Use Authorization header "Basic Auth"
- The credentials format has to be base64 encoded "username", "colon" and "password"
- Example:
WebRequest req = WebRequest.Create("/api/v1/authorizations/authorize");
req.Headers["Authorization"] = "Basic " + base64Encoded("username:password");
When you are authenticated, you will get a signed OAuth2 token, formatted as a JSON Web Token (JWT). This is your authorization key that you need in order to access any other endpoint at Banking Circle.
The access token is valid for 5 minutes and must be in the header of all subsequent calls to the API. Please note that we do not currently support refresh tokens.
You can read more about Authentication and authorization generally, or follow a practical guide to Authenticate and retrieve accounts.
500Internal Server Error
